
:: curlNews.bat
:: Andrew Davison, ad@coe.psu.ac.th, July 2023

:: usage: curlNews <topic>  | jq | more
:: usage: curlNews <topic>  | jq ".articles[] | .title" | more


@echo off
setlocal

if "%~1"=="" (
  echo No topic supplied
  exit /B
)

curl "https://newsapi.org/v2/everything" -G -k -s  ^
    -d q="%~1"  ^
    -d sortBy="relevancy"  ^
    -d sources="bbc-news"  ^
    -d language="en"  ^
    -d apiKey="XXXXXX"

:: echo Finished.
